AuSetErrorHandler(3)

Name
AuSetErrorHandler - set nonfatal error handler

Synopsis
#include <audio/audiolib.h>

AuBool (*AuSetErrorHandler(server, handler))()
    AuServer *server;
    AuBool (*handler)(AuServer *, AuErrorEvent *);

Arguments

server
    Specifies the connection to the audio server.

handler
    Specifies the non-fatal error handler. Use NULL to reinstall the default handler.

Description
AuSetErrorHandler sets the non-fatal error handler and returns the previous handler. This error handler will be invoked whenever a non-fatal error (error event) is received. As this condition is not assumed to be fatal, it is acceptable for the error handler to return. However, the error handler should not call any functions (directly or indirectly) on the server that will generate protocol requests or that will look for input events.

See Also
AuServerName, AuGetErrorDatabaseText, AuGetErrorText, AuSetIOErrorHandler, AuSynchronize.

audiolib - Network Audio System C Language Interface